gnutls_psk_format_imported_identity(3)

NAME
gnutls_psk_format_imported_identity - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_format_imported_identity(const gnutls_datum_t * identity, const gnutls_datum_t * context, gnutls_protocol_t version, gnutls_digest_algorithm_t hash, gnutls_datum_t * imported_identity);

ARGUMENTS

const gnutls_datum_t * identity
    external identity

const gnutls_datum_t * context
    optional contextual information

gnutls_protocol_t version
    protocol version to which the PSK is imported

gnutls_digest_algorithm_t hash
    hash algorithm used for KDF

gnutls_datum_t * imported_identity
    where the imported identity is stored

DESCRIPTION
This formats an external PSK identity identity into an imported form, described in RFC 9258 as ImportedIdentity. Upon success, the data field of imported_identity is allocated using gnutls_malloc() and the caller must free the memory after use.

RETURNS
GNUTLS_E_SUCCESS (0) on success, otherwise a negative error code.

SINCE
3.8.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/